Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2aba::/16
First address
2aba::
Last address
2aba:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2aba:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.b.a.2.ip6.arpa
Split into smaller subnets/32

2aba::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
12aba::/322aba:0:ffff:ffff:ffff:ffff:ffff:ffff
22aba:1::/322aba:1:ffff:ffff:ffff:ffff:ffff:ffff
32aba:2::/322aba:2:ffff:ffff:ffff:ffff:ffff:ffff
42aba:3::/322aba:3:ffff:ffff:ffff:ffff:ffff:ffff
52aba:4::/322aba:4:ffff:ffff:ffff:ffff:ffff:ffff
62aba:5::/322aba:5:ffff:ffff:ffff:ffff:ffff:ffff
72aba:6::/322aba:6:ffff:ffff:ffff:ffff:ffff:ffff
82aba:7::/322aba:7:ffff:ffff:ffff:ffff:ffff:ffff
92aba:8::/322aba:8:ffff:ffff:ffff:ffff:ffff:ffff
102aba:9::/322aba:9:ffff:ffff:ffff:ffff:ffff:ffff
112aba:a::/322aba:a:ffff:ffff:ffff:ffff:ffff:ffff
122aba:b::/322aba:b:ffff:ffff:ffff:ffff:ffff:ffff
132aba:c::/322aba:c:ffff:ffff:ffff:ffff:ffff:ffff
142aba:d::/322aba:d:ffff:ffff:ffff:ffff:ffff:ffff
152aba:e::/322aba:e:ffff:ffff:ffff:ffff:ffff:ffff
162aba:f::/322aba:f:ffff:ffff:ffff:ffff:ffff:ffff
172aba:10::/322aba:10:ffff:ffff:ffff:ffff:ffff:ffff
182aba:11::/322aba:11:ffff:ffff:ffff:ffff:ffff:ffff
192aba:12::/322aba:12:ffff:ffff:ffff:ffff:ffff:ffff
202aba:13::/322aba:13:ffff:ffff:ffff:ffff:ffff:ffff
212aba:14::/322aba:14:ffff:ffff:ffff:ffff:ffff:ffff
222aba:15::/322aba:15:ffff:ffff:ffff:ffff:ffff:ffff
232aba:16::/322aba:16:ffff:ffff:ffff:ffff:ffff:ffff
242aba:17::/322aba:17:ffff:ffff:ffff:ffff:ffff:ffff
252aba:18::/322aba:18:ffff:ffff:ffff:ffff:ffff:ffff
262aba:19::/322aba:19:ffff:ffff:ffff:ffff:ffff:ffff
272aba:1a::/322aba:1a:ffff:ffff:ffff:ffff:ffff:ffff
282aba:1b::/322aba:1b:ffff:ffff:ffff:ffff:ffff:ffff
292aba:1c::/322aba:1c:ffff:ffff:ffff:ffff:ffff:ffff
302aba:1d::/322aba:1d:ffff:ffff:ffff:ffff:ffff:ffff
312aba:1e::/322aba:1e:ffff:ffff:ffff:ffff:ffff:ffff
322aba:1f::/322aba:1f:ffff:ffff:ffff:ffff:ffff:ffff
332aba:20::/322aba:20:ffff:ffff:ffff:ffff:ffff:ffff
342aba:21::/322aba:21:ffff:ffff:ffff:ffff:ffff:ffff
352aba:22::/322aba:22:ffff:ffff:ffff:ffff:ffff:ffff
362aba:23::/322aba:23:ffff:ffff:ffff:ffff:ffff:ffff
372aba:24::/322aba:24:ffff:ffff:ffff:ffff:ffff:ffff
382aba:25::/322aba:25:ffff:ffff:ffff:ffff:ffff:ffff
392aba:26::/322aba:26:ffff:ffff:ffff:ffff:ffff:ffff
402aba:27::/322aba:27:ffff:ffff:ffff:ffff:ffff:ffff
412aba:28::/322aba:28:ffff:ffff:ffff:ffff:ffff:ffff
422aba:29::/322aba:29:ffff:ffff:ffff:ffff:ffff:ffff
432aba:2a::/322aba:2a:ffff:ffff:ffff:ffff:ffff:ffff
442aba:2b::/322aba:2b:ffff:ffff:ffff:ffff:ffff:ffff
452aba:2c::/322aba:2c:ffff:ffff:ffff:ffff:ffff:ffff
462aba:2d::/322aba:2d:ffff:ffff:ffff:ffff:ffff:ffff
472aba:2e::/322aba:2e:ffff:ffff:ffff:ffff:ffff:ffff
482aba:2f::/322aba:2f:ffff:ffff:ffff:ffff:ffff:ffff
492aba:30::/322aba:30:ffff:ffff:ffff:ffff:ffff:ffff
502aba:31::/322aba:31:ffff:ffff:ffff:ffff:ffff:ffff
512aba:32::/322aba:32:ffff:ffff:ffff:ffff:ffff:ffff
522aba:33::/322aba:33:ffff:ffff:ffff:ffff:ffff:ffff
532aba:34::/322aba:34:ffff:ffff:ffff:ffff:ffff:ffff
542aba:35::/322aba:35:ffff:ffff:ffff:ffff:ffff:ffff
552aba:36::/322aba:36:ffff:ffff:ffff:ffff:ffff:ffff
562aba:37::/322aba:37:ffff:ffff:ffff:ffff:ffff:ffff
572aba:38::/322aba:38:ffff:ffff:ffff:ffff:ffff:ffff
582aba:39::/322aba:39:ffff:ffff:ffff:ffff:ffff:ffff
592aba:3a::/322aba:3a:ffff:ffff:ffff:ffff:ffff:ffff
602aba:3b::/322aba:3b:ffff:ffff:ffff:ffff:ffff:ffff
612aba:3c::/322aba:3c:ffff:ffff:ffff:ffff:ffff:ffff
622aba:3d::/322aba:3d:ffff:ffff:ffff:ffff:ffff:ffff
632aba:3e::/322aba:3e:ffff:ffff:ffff:ffff:ffff:ffff
642aba:3f::/322aba:3f:ffff:ffff:ffff:ffff:ffff:ffff
652aba:40::/322aba:40:ffff:ffff:ffff:ffff:ffff:ffff
662aba:41::/322aba:41:ffff:ffff:ffff:ffff:ffff:ffff
672aba:42::/322aba:42:ffff:ffff:ffff:ffff:ffff:ffff
682aba:43::/322aba:43:ffff:ffff:ffff:ffff:ffff:ffff
692aba:44::/322aba:44:ffff:ffff:ffff:ffff:ffff:ffff
702aba:45::/322aba:45:ffff:ffff:ffff:ffff:ffff:ffff
712aba:46::/322aba:46:ffff:ffff:ffff:ffff:ffff:ffff
722aba:47::/322aba:47:ffff:ffff:ffff:ffff:ffff:ffff
732aba:48::/322aba:48:ffff:ffff:ffff:ffff:ffff:ffff
742aba:49::/322aba:49:ffff:ffff:ffff:ffff:ffff:ffff
752aba:4a::/322aba:4a:ffff:ffff:ffff:ffff:ffff:ffff
762aba:4b::/322aba:4b:ffff:ffff:ffff:ffff:ffff:ffff
772aba:4c::/322aba:4c:ffff:ffff:ffff:ffff:ffff:ffff
782aba:4d::/322aba:4d:ffff:ffff:ffff:ffff:ffff:ffff
792aba:4e::/322aba:4e:ffff:ffff:ffff:ffff:ffff:ffff
802aba:4f::/322aba:4f:ffff:ffff:ffff:ffff:ffff:ffff
812aba:50::/322aba:50:ffff:ffff:ffff:ffff:ffff:ffff
822aba:51::/322aba:51:ffff:ffff:ffff:ffff:ffff:ffff
832aba:52::/322aba:52:ffff:ffff:ffff:ffff:ffff:ffff
842aba:53::/322aba:53:ffff:ffff:ffff:ffff:ffff:ffff
852aba:54::/322aba:54:ffff:ffff:ffff:ffff:ffff:ffff
862aba:55::/322aba:55:ffff:ffff:ffff:ffff:ffff:ffff
872aba:56::/322aba:56:ffff:ffff:ffff:ffff:ffff:ffff
882aba:57::/322aba:57:ffff:ffff:ffff:ffff:ffff:ffff
892aba:58::/322aba:58:ffff:ffff:ffff:ffff:ffff:ffff
902aba:59::/322aba:59:ffff:ffff:ffff:ffff:ffff:ffff
912aba:5a::/322aba:5a:ffff:ffff:ffff:ffff:ffff:ffff
922aba:5b::/322aba:5b:ffff:ffff:ffff:ffff:ffff:ffff
932aba:5c::/322aba:5c:ffff:ffff:ffff:ffff:ffff:ffff
942aba:5d::/322aba:5d:ffff:ffff:ffff:ffff:ffff:ffff
952aba:5e::/322aba:5e:ffff:ffff:ffff:ffff:ffff:ffff
962aba:5f::/322aba:5f:ffff:ffff:ffff:ffff:ffff:ffff
972aba:60::/322aba:60:ffff:ffff:ffff:ffff:ffff:ffff
982aba:61::/322aba:61:ffff:ffff:ffff:ffff:ffff:ffff
992aba:62::/322aba:62:ffff:ffff:ffff:ffff:ffff:ffff
1002aba:63::/322aba:63:ffff:ffff:ffff:ffff:ffff:ffff
1012aba:64::/322aba:64:ffff:ffff:ffff:ffff:ffff:ffff
1022aba:65::/322aba:65:ffff:ffff:ffff:ffff:ffff:ffff
1032aba:66::/322aba:66:ffff:ffff:ffff:ffff:ffff:ffff
1042aba:67::/322aba:67:ffff:ffff:ffff:ffff:ffff:ffff
1052aba:68::/322aba:68:ffff:ffff:ffff:ffff:ffff:ffff
1062aba:69::/322aba:69:ffff:ffff:ffff:ffff:ffff:ffff
1072aba:6a::/322aba:6a:ffff:ffff:ffff:ffff:ffff:ffff
1082aba:6b::/322aba:6b:ffff:ffff:ffff:ffff:ffff:ffff
1092aba:6c::/322aba:6c:ffff:ffff:ffff:ffff:ffff:ffff
1102aba:6d::/322aba:6d:ffff:ffff:ffff:ffff:ffff:ffff
1112aba:6e::/322aba:6e:ffff:ffff:ffff:ffff:ffff:ffff
1122aba:6f::/322aba:6f:ffff:ffff:ffff:ffff:ffff:ffff
1132aba:70::/322aba:70:ffff:ffff:ffff:ffff:ffff:ffff
1142aba:71::/322aba:71:ffff:ffff:ffff:ffff:ffff:ffff
1152aba:72::/322aba:72:ffff:ffff:ffff:ffff:ffff:ffff
1162aba:73::/322aba:73:ffff:ffff:ffff:ffff:ffff:ffff
1172aba:74::/322aba:74:ffff:ffff:ffff:ffff:ffff:ffff
1182aba:75::/322aba:75:ffff:ffff:ffff:ffff:ffff:ffff
1192aba:76::/322aba:76:ffff:ffff:ffff:ffff:ffff:ffff
1202aba:77::/322aba:77:ffff:ffff:ffff:ffff:ffff:ffff
1212aba:78::/322aba:78:ffff:ffff:ffff:ffff:ffff:ffff
1222aba:79::/322aba:79:ffff:ffff:ffff:ffff:ffff:ffff
1232aba:7a::/322aba:7a:ffff:ffff:ffff:ffff:ffff:ffff
1242aba:7b::/322aba:7b:ffff:ffff:ffff:ffff:ffff:ffff
1252aba:7c::/322aba:7c:ffff:ffff:ffff:ffff:ffff:ffff
1262aba:7d::/322aba:7d:ffff:ffff:ffff:ffff:ffff:ffff
1272aba:7e::/322aba:7e:ffff:ffff:ffff:ffff:ffff:ffff
1282aba:7f::/322aba:7f:ffff:ffff:ffff:ffff:ffff:ffff
1292aba:80::/322aba:80:ffff:ffff:ffff:ffff:ffff:ffff
1302aba:81::/322aba:81:ffff:ffff:ffff:ffff:ffff:ffff
1312aba:82::/322aba:82:ffff:ffff:ffff:ffff:ffff:ffff
1322aba:83::/322aba:83:ffff:ffff:ffff:ffff:ffff:ffff
1332aba:84::/322aba:84:ffff:ffff:ffff:ffff:ffff:ffff
1342aba:85::/322aba:85:ffff:ffff:ffff:ffff:ffff:ffff
1352aba:86::/322aba:86:ffff:ffff:ffff:ffff:ffff:ffff
1362aba:87::/322aba:87:ffff:ffff:ffff:ffff:ffff:ffff
1372aba:88::/322aba:88:ffff:ffff:ffff:ffff:ffff:ffff
1382aba:89::/322aba:89:ffff:ffff:ffff:ffff:ffff:ffff
1392aba:8a::/322aba:8a:ffff:ffff:ffff:ffff:ffff:ffff
1402aba:8b::/322aba:8b:ffff:ffff:ffff:ffff:ffff:ffff
1412aba:8c::/322aba:8c:ffff:ffff:ffff:ffff:ffff:ffff
1422aba:8d::/322aba:8d:ffff:ffff:ffff:ffff:ffff:ffff
1432aba:8e::/322aba:8e:ffff:ffff:ffff:ffff:ffff:ffff
1442aba:8f::/322aba:8f:ffff:ffff:ffff:ffff:ffff:ffff
1452aba:90::/322aba:90:ffff:ffff:ffff:ffff:ffff:ffff
1462aba:91::/322aba:91:ffff:ffff:ffff:ffff:ffff:ffff
1472aba:92::/322aba:92:ffff:ffff:ffff:ffff:ffff:ffff
1482aba:93::/322aba:93:ffff:ffff:ffff:ffff:ffff:ffff
1492aba:94::/322aba:94:ffff:ffff:ffff:ffff:ffff:ffff
1502aba:95::/322aba:95:ffff:ffff:ffff:ffff:ffff:ffff
1512aba:96::/322aba:96:ffff:ffff:ffff:ffff:ffff:ffff
1522aba:97::/322aba:97:ffff:ffff:ffff:ffff:ffff:ffff
1532aba:98::/322aba:98:ffff:ffff:ffff:ffff:ffff:ffff
1542aba:99::/322aba:99:ffff:ffff:ffff:ffff:ffff:ffff
1552aba:9a::/322aba:9a:ffff:ffff:ffff:ffff:ffff:ffff
1562aba:9b::/322aba:9b:ffff:ffff:ffff:ffff:ffff:ffff
1572aba:9c::/322aba:9c:ffff:ffff:ffff:ffff:ffff:ffff
1582aba:9d::/322aba:9d:ffff:ffff:ffff:ffff:ffff:ffff
1592aba:9e::/322aba:9e:ffff:ffff:ffff:ffff:ffff:ffff
1602aba:9f::/322aba:9f:ffff:ffff:ffff:ffff:ffff:ffff
1612aba:a0::/322aba:a0:ffff:ffff:ffff:ffff:ffff:ffff
1622aba:a1::/322aba:a1:ffff:ffff:ffff:ffff:ffff:ffff
1632aba:a2::/322aba:a2:ffff:ffff:ffff:ffff:ffff:ffff
1642aba:a3::/322aba:a3:ffff:ffff:ffff:ffff:ffff:ffff
1652aba:a4::/322aba:a4:ffff:ffff:ffff:ffff:ffff:ffff
1662aba:a5::/322aba:a5:ffff:ffff:ffff:ffff:ffff:ffff
1672aba:a6::/322aba:a6:ffff:ffff:ffff:ffff:ffff:ffff
1682aba:a7::/322aba:a7:ffff:ffff:ffff:ffff:ffff:ffff
1692aba:a8::/322aba:a8:ffff:ffff:ffff:ffff:ffff:ffff
1702aba:a9::/322aba:a9:ffff:ffff:ffff:ffff:ffff:ffff
1712aba:aa::/322aba:aa:ffff:ffff:ffff:ffff:ffff:ffff
1722aba:ab::/322aba:ab:ffff:ffff:ffff:ffff:ffff:ffff
1732aba:ac::/322aba:ac:ffff:ffff:ffff:ffff:ffff:ffff
1742aba:ad::/322aba:ad:ffff:ffff:ffff:ffff:ffff:ffff
1752aba:ae::/322aba:ae:ffff:ffff:ffff:ffff:ffff:ffff
1762aba:af::/322aba:af:ffff:ffff:ffff:ffff:ffff:ffff
1772aba:b0::/322aba:b0:ffff:ffff:ffff:ffff:ffff:ffff
1782aba:b1::/322aba:b1:ffff:ffff:ffff:ffff:ffff:ffff
1792aba:b2::/322aba:b2:ffff:ffff:ffff:ffff:ffff:ffff
1802aba:b3::/322aba:b3:ffff:ffff:ffff:ffff:ffff:ffff
1812aba:b4::/322aba:b4:ffff:ffff:ffff:ffff:ffff:ffff
1822aba:b5::/322aba:b5:ffff:ffff:ffff:ffff:ffff:ffff
1832aba:b6::/322aba:b6:ffff:ffff:ffff:ffff:ffff:ffff
1842aba:b7::/322aba:b7:ffff:ffff:ffff:ffff:ffff:ffff
1852aba:b8::/322aba:b8:ffff:ffff:ffff:ffff:ffff:ffff
1862aba:b9::/322aba:b9:ffff:ffff:ffff:ffff:ffff:ffff
1872aba:ba::/322aba:ba:ffff:ffff:ffff:ffff:ffff:ffff
1882aba:bb::/322aba:bb:ffff:ffff:ffff:ffff:ffff:ffff
1892aba:bc::/322aba:bc:ffff:ffff:ffff:ffff:ffff:ffff
1902aba:bd::/322aba:bd:ffff:ffff:ffff:ffff:ffff:ffff
1912aba:be::/322aba:be:ffff:ffff:ffff:ffff:ffff:ffff
1922aba:bf::/322aba:bf:ffff:ffff:ffff:ffff:ffff:ffff
1932aba:c0::/322aba:c0:ffff:ffff:ffff:ffff:ffff:ffff
1942aba:c1::/322aba:c1:ffff:ffff:ffff:ffff:ffff:ffff
1952aba:c2::/322aba:c2:ffff:ffff:ffff:ffff:ffff:ffff
1962aba:c3::/322aba:c3:ffff:ffff:ffff:ffff:ffff:ffff
1972aba:c4::/322aba:c4:ffff:ffff:ffff:ffff:ffff:ffff
1982aba:c5::/322aba:c5:ffff:ffff:ffff:ffff:ffff:ffff
1992aba:c6::/322aba:c6:ffff:ffff:ffff:ffff:ffff:ffff
2002aba:c7::/322aba:c7:ffff:ffff:ffff:ffff:ffff:ffff
2012aba:c8::/322aba:c8:ffff:ffff:ffff:ffff:ffff:ffff
2022aba:c9::/322aba:c9:ffff:ffff:ffff:ffff:ffff:ffff
2032aba:ca::/322aba:ca:ffff:ffff:ffff:ffff:ffff:ffff
2042aba:cb::/322aba:cb:ffff:ffff:ffff:ffff:ffff:ffff
2052aba:cc::/322aba:cc:ffff:ffff:ffff:ffff:ffff:ffff
2062aba:cd::/322aba:cd:ffff:ffff:ffff:ffff:ffff:ffff
2072aba:ce::/322aba:ce:ffff:ffff:ffff:ffff:ffff:ffff
2082aba:cf::/322aba:cf:ffff:ffff:ffff:ffff:ffff:ffff
2092aba:d0::/322aba:d0:ffff:ffff:ffff:ffff:ffff:ffff
2102aba:d1::/322aba:d1:ffff:ffff:ffff:ffff:ffff:ffff
2112aba:d2::/322aba:d2:ffff:ffff:ffff:ffff:ffff:ffff
2122aba:d3::/322aba:d3:ffff:ffff:ffff:ffff:ffff:ffff
2132aba:d4::/322aba:d4:ffff:ffff:ffff:ffff:ffff:ffff
2142aba:d5::/322aba:d5:ffff:ffff:ffff:ffff:ffff:ffff
2152aba:d6::/322aba:d6:ffff:ffff:ffff:ffff:ffff:ffff
2162aba:d7::/322aba:d7:ffff:ffff:ffff:ffff:ffff:ffff
2172aba:d8::/322aba:d8:ffff:ffff:ffff:ffff:ffff:ffff
2182aba:d9::/322aba:d9:ffff:ffff:ffff:ffff:ffff:ffff
2192aba:da::/322aba:da:ffff:ffff:ffff:ffff:ffff:ffff
2202aba:db::/322aba:db:ffff:ffff:ffff:ffff:ffff:ffff
2212aba:dc::/322aba:dc:ffff:ffff:ffff:ffff:ffff:ffff
2222aba:dd::/322aba:dd:ffff:ffff:ffff:ffff:ffff:ffff
2232aba:de::/322aba:de:ffff:ffff:ffff:ffff:ffff:ffff
2242aba:df::/322aba:df:ffff:ffff:ffff:ffff:ffff:ffff
2252aba:e0::/322aba:e0:ffff:ffff:ffff:ffff:ffff:ffff
2262aba:e1::/322aba:e1:ffff:ffff:ffff:ffff:ffff:ffff
2272aba:e2::/322aba:e2:ffff:ffff:ffff:ffff:ffff:ffff
2282aba:e3::/322aba:e3:ffff:ffff:ffff:ffff:ffff:ffff
2292aba:e4::/322aba:e4:ffff:ffff:ffff:ffff:ffff:ffff
2302aba:e5::/322aba:e5:ffff:ffff:ffff:ffff:ffff:ffff
2312aba:e6::/322aba:e6:ffff:ffff:ffff:ffff:ffff:ffff
2322aba:e7::/322aba:e7:ffff:ffff:ffff:ffff:ffff:ffff
2332aba:e8::/322aba:e8:ffff:ffff:ffff:ffff:ffff:ffff
2342aba:e9::/322aba:e9:ffff:ffff:ffff:ffff:ffff:ffff
2352aba:ea::/322aba:ea:ffff:ffff:ffff:ffff:ffff:ffff
2362aba:eb::/322aba:eb:ffff:ffff:ffff:ffff:ffff:ffff
2372aba:ec::/322aba:ec:ffff:ffff:ffff:ffff:ffff:ffff
2382aba:ed::/322aba:ed:ffff:ffff:ffff:ffff:ffff:ffff
2392aba:ee::/322aba:ee:ffff:ffff:ffff:ffff:ffff:ffff
2402aba:ef::/322aba:ef:ffff:ffff:ffff:ffff:ffff:ffff
2412aba:f0::/322aba:f0:ffff:ffff:ffff:ffff:ffff:ffff
2422aba:f1::/322aba:f1:ffff:ffff:ffff:ffff:ffff:ffff
2432aba:f2::/322aba:f2:ffff:ffff:ffff:ffff:ffff:ffff
2442aba:f3::/322aba:f3:ffff:ffff:ffff:ffff:ffff:ffff
2452aba:f4::/322aba:f4:ffff:ffff:ffff:ffff:ffff:ffff
2462aba:f5::/322aba:f5:ffff:ffff:ffff:ffff:ffff:ffff
2472aba:f6::/322aba:f6:ffff:ffff:ffff:ffff:ffff:ffff
2482aba:f7::/322aba:f7:ffff:ffff:ffff:ffff:ffff:ffff
2492aba:f8::/322aba:f8:ffff:ffff:ffff:ffff:ffff:ffff
2502aba:f9::/322aba:f9:ffff:ffff:ffff:ffff:ffff:ffff
2512aba:fa::/322aba:fa:ffff:ffff:ffff:ffff:ffff:ffff
2522aba:fb::/322aba:fb:ffff:ffff:ffff:ffff:ffff:ffff
2532aba:fc::/322aba:fc:ffff:ffff:ffff:ffff:ffff:ffff
2542aba:fd::/322aba:fd:ffff:ffff:ffff:ffff:ffff:ffff
2552aba:fe::/322aba:fe:ffff:ffff:ffff:ffff:ffff:ffff
2562aba:ff::/322aba:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses